Skip to main content
GET
Wallet trades

Path Parameters

wallet
string
required

Query Parameters

pageSize
integer<uint32>
default:50

Fills per page (max 1000)

Required range: 1 <= x <= 1000
pageToken
string

Opaque keyset cursor from the previous response, bound to the wallet.

Response

OK

trades
object[] | null

The wallet's fills in reverse chronological order (ties by trade id).

pageSize
integer<uint32> | null

Number of fills requested for this page

Example:

50

nextPageToken
string | null

Opaque cursor for the next page; empty when the page is the end of the ordered result